<?php 
namespace Drupal\noahs_page_builder\Plugin\Control;

use Drupal\noahs_page_builder\Annotation\ControlPlugin;
use Drupal\noahs_page_builder\Plugin\Control\ControlBase;

/**
 * @ControlPlugin(
 *   id = "html",
 *   label = @Translation("HTML")
 * )
 */

class ControlHtml extends ControlBase{
	
	public function get_type() {
		return 'html';
	}

	public function content_template(array $params = []) {
		$data = $params['data'] ?? null;

		$output = '<div class="field field__html">';
		$output .= '<h5>' . $data['item']['title'] . '</h5>';
		$output .= $data['item']['value'];
		$output .= '</div>';
	
		return $output;
	}

	public function get_default_settings() {
		return [
			'input_type' => 'html',
			'title' => '',
		];
	}
}