<?php 

namespace Drupal\noahs_page_builder\Plugin\Control;

use Drupal\noahs_page_builder\Annotation\ControlPlugin;
use Drupal\noahs_page_builder\Plugin\Control\ControlBase;

/**
 * @ControlPlugin(
 *   id = "noahs_video_background",
 *   label = @Translation("Video Background")
 * )
 */

class ControlNoahsVideoBackground extends ControlBase{
	
	public function get_type() {
		return 'noahs_video_background';
	}

	public function content_template(array $params = []) {
		$data = $params['data'] ?? null;
    	$name = $params['name'] ?? null;
    	$value = $params['value'] ?? null;
		// $option = $data['value']['option'];
		$id = $data['wid'];
	
		$output = '';
	
		$output .= '<div class="field_element">';
		$output .= '<label for="background_option_video">Background Video URL</label>';
		$output .= '<input type="text" name="' . htmlspecialchars($name, ENT_QUOTES, 'UTF-8') . '[url]" id="background_option_video" value="' . (!empty($value['url']) ? htmlspecialchars($value['url'], ENT_QUOTES, 'UTF-8') : '') . '" class="form-control" field-settings>';
		$output .= '</div>';
	
		$output .= '<div class="field_element field__color">';
		$output .= '<label for="noahs_page_builder_background_overlay">Video Overlay</label>';
		$output .= '<input type="text" name="' . htmlspecialchars($name, ENT_QUOTES, 'UTF-8') . '[video_background_overlay]" id="noahs_page_builder_video_background_overlay" class="form-control-color-alpha" value="' . (!empty($value['video_background_overlay']) ? htmlspecialchars($value['video_background_overlay'], ENT_QUOTES, 'UTF-8') : '') . '" field-settings>';
		$output .= '</div>';
	
		return $output;
	}
	

	public function get_default_settings() {
		return [
			'input_type' => 'noahs_background',
			'placeholder' => '',
			'title' => '',
		];
	}
}