<?php 
namespace Drupal\noahs_page_builder\Plugin\Control;

use Drupal\Component\Plugin\PluginBase;
use Drupal\noahs_page_builder\Plugin\Control\ControlBase;

/**
 * @ControlPlugin(
 *   id = "noahs_width",
 *   label = @Translation("Width")
 * )
 */
class ControlNoahsWidth extends ControlBase{
	
	public function get_type() {
		return 'noahs_width';
	}

	public function content_template(array $params = []) {

		$data = $params['data'] ?? null;
    	$name = $params['name'] ?? null;
    	$value = $params['value'] ?? null;
		$id = $data['wid'];
		$placeholder = !empty($data['item']['placeholder']) ? $data['item']['placeholder'] : '';
	
		$output = '';
	
		$output .= '<div class="field_item form-floating">';
		$output .= '<input type="text" name="' . $name . '" class="form-control" value="' . $value . '" placeholder="' . $placeholder . '" data-element-settings="' . $data['item_id'] . '" field-settings>';
		$output .= '<label>' . $placeholder . '</label>';
		$output .= '</div>';
	
		return $output;
	}
	

	public function get_default_settings() {
		return [
			'input_type' => 'noahs_width',
			'placeholder' => '',
			'title' => '',
		];
	}
}