<?php 

namespace Drupal\noahs_page_builder\Plugin\Control;

use Drupal\noahs_page_builder\Annotation\ControlPlugin;
use Drupal\noahs_page_builder\Plugin\Control\ControlBase;

/**
 * @ControlPlugin(
 *   id = "control_tab",
 *   label = @Translation("Tab")
 * )
 */

class ControlTab extends ControlBase{
	
	public function get_type() {
		return 'tab';
	}

	public function content_template(array $params = []) {
		$content = $params['content'] ?? null;
		$tab_id = $params['tab_id'] ?? null;
		$title = $params['title'] ?? null;
		$delta = $params['delta'] ?? null;
		$first = $params['first'] ?? null;

		if (is_array($content)) {
			return; // Si $content es un array, simplemente retornamos vacío según tu condición
		}
	
		$output = '';
	
		$output .= '<div class="tab-pane fade ' . (($delta === 0 || $first) ? 'active show' : '') . '" id="nav-' . $tab_id . $delta . '" role="tabpanel" aria-labelledby="nav-' . $tab_id . $delta . '-tab' . '">';
		$output .= '<div class="noahs_page_builder-tab_content">';
		$output .= $content;
		$output .= '</div>';
		$output .= '</div>';
	
		return $output;
	}
	
	public function get_default_settings() {
		return [
			'input_type' => 'tab',
			'placeholder' => '',
			'title' => '',
		];
	}
}